Skip to main content
POST

Create campaign

POST /api/campaigns Create a new bulk messaging campaign.

Headers

Session cookie (login via POST /api/auth/login)

Body parameters

string
required
Campaign name.
string
required
WhatsApp channel ID.
string
required
template or text.
string
Template name (required if type is template).
string
default:"en"
Template language.
array
Template component parameters.
integer[]
Specific contact IDs.
integer[]
Contact group IDs.
string
Text message body (required if type is text).
string
ISO 8601 datetime for scheduled send.
Requires campaigns:create permission and an active subscription.